import { Bounds } from './bounds';
import { Quadtree } from './quadtree';
import { qTreeOptions } from './q-tree-options';
export declare class qTree<T extends object> implements Quadtree<T> {
    private readonly _bounds;
    private readonly depth;
    private readonly maxChildren;
    private readonly maxDepth;
    private readonly items;
    private readonly boundsFn;
    private readonly quadCache;
    private readonly childAreas;
    private readonly children;
    private isSplit;
    constructor(bounds: Readonly<Bounds>, options: qTreeOptions, boundFn: (item: T) => Bounds, quadCache: WeakMap<T, qTree<T>>, depth?: number);
    get size(): number;
    get bounds(): Readonly<Bounds>;
    insert(item: Readonly<T>): void;
    private tryChildInsert;
    collectAll(result?: Readonly<T>[]): Readonly<T>[];
    collect(area: Readonly<Bounds>, result?: Readonly<T>[]): Readonly<T>[];
    all(): Generator<Readonly<T>, void, undefined>;
    search(area: Readonly<Bounds>): Generator<Readonly<T>, void, undefined>;
    remove(item: Readonly<T>): boolean;
    clear(): void;
}
//# sourceMappingURL=q-tree.d.ts.map